{Simply provides a loading message as Kameleon starts...}
unit Startup1;

INTERFACE

IMPLEMENTATION

{$IFDEF Windows}
uses WinProcs, WinTypes, tasks;

var
	LoadingWindow : word;

procedure DestroyLoadingWindow; far;
begin
	DestroyWindow(LoadingWindow);
end;

begin
	LoadingWindow := CreateWindow('Button', 'Loading Kameleon...', WS_OverLappedWindow,
		CW_UseDefault, 0, 200, 80, 0, 0, hInstance, nil);
	UpDateWindow(LoadingWindow);
	ShowWindow(LoadingWindow,Sw_ShowNormal);
	RegisterTask(StartUpTasks, 0, @DestroyLoadingWindow);{}
{$ELSE}

begin
	writeln('Loading Kameleon...');
	writeln('  (C) Small Business Solutions');
	writeln('');
{$ENDIF}
end.
